
/*
 * Copyright (C) 2002-2003 Stefan Holst
 * Copyright (C) 2004-2005 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: odk_x11.h 1802 2007-02-05 22:12:57Z mschwerin $
 *
 */

#ifndef HAVE_ODK_X11_H
#define HAVE_ODK_X11_H
#ifdef __cplusplus
extern "C" {
#endif

#include "config.h"

#ifdef HAVE_LIBX11

#include "odk_plugin.h"

/*
 * X11 window driver constructor
 */
odk_window_t *x11_construct (xine_t * xine, const char *driver);

/*
 * X11 window driver plugin description
 */
window_plugin_desc_t x11_plugin_desc[] = {
    {"x11", "X video extention output", "xv", x11_construct},
    {"x11", "X video motion compensation output", "xvmc", x11_construct},
    {"x11", "X video extended motion compensation output", "xxmc", x11_construct},
    {"x11", "X video shared memory output", "xshm", x11_construct},
    {"x11", "X video SDL output", "sdl", x11_construct},
    {"x11", "X video OpenGL output", "opengl", x11_construct},
    {"x11", "X video autodetected output", "auto", x11_construct},
    {NULL, NULL, NULL, NULL}
};

#endif

#ifdef __cplusplus
}
#endif
#endif /* HAVE_ODK_X11_H */
